Public Class frmMenuUtama
    Private m_strFullCaption As String
    Private m_strCurrentCaption As String
    Private m_ynLeftRight As Boolean

    Private Sub frmMenuUtama_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = "Sistem Pendukung Keputusan Penetuan Kelayakan Barang Impor"
        m_strFullCaption = Me.Text
        m_strCurrentCaption = ""
        m_ynLeftRight = True
    End Sub


    Private Sub mnKeluar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnKeluar.Click
        If MessageBox.Show("Benar Ingin Keluar dari Sistem..?", "Konfirmasi", MessageBoxButtons.YesNo) = Windows.Forms.DialogResult.Yes Then
            Conn.Close()
            End
        End If
    End Sub

   

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        On Error Resume Next
        If m_ynLeftRight Then

            If Len(m_strCurrentCaption) < Len(m_strFullCaption) Then
                m_strCurrentCaption = Microsoft.VisualBasic.Left(m_strFullCaption, Len(m_strCurrentCaption) + 1)
                Me.Text = m_strCurrentCaption
            Else
                m_ynLeftRight = Not m_ynLeftRight
            End If

        Else

            If Len(m_strCurrentCaption) > 0 Then
                m_strCurrentCaption = Microsoft.VisualBasic.Right(m_strFullCaption, Len(m_strCurrentCaption) - 1)
                Me.Text = m_strCurrentCaption
            Else
                m_ynLeftRight = Not m_ynLeftRight
            End If

        End If
    End Sub

    Private Sub mnDataUser_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnDataUser.Click
        frmUser.Show(Me)
    End Sub

    

    Private Sub mnPejabat_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnPejabat.Click
        frmPenilai.Show()
    End Sub

    Private Sub mnSettingNilaiMin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnSettingNilaiMin.Click
        frmSettingNilaiMax.Show(Me)
    End Sub

    Private Sub mnKriteria_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnKriteria.Click
        frmKriteria.Show(Me)
    End Sub

   

    Private Sub mnSubKriteria_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnSubKriteria.Click
        frmSubKriteria.Show(Me)
    End Sub

    Private Sub mnDataPemohon_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnDataPemohon.Click
        frmImportir.Show(Me)
    End Sub

   
    Private Sub mnPBerpasangan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnPBerpasangan.Click
        frmPerbandinganBerpasangan.Show(Me)
    End Sub

    Private Sub mnSubPBerpasangan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnSubPBerpasangan.Click
        frmSubPerbandinganBerpasangan.Show(Me)
    End Sub

    Private Sub mnPenilaian_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnPenilaian.Click
        FrmPenilaian.Show(Me)
    End Sub

    Private Sub mnProsesAhp_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnProsesAhp.Click
        frmHasilAHP.Show(Me)
    End Sub

    Private Sub mnLapKriteria_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnLapKriteria.Click
        FrmLapKriteria.Show(Me)
    End Sub

    Private Sub mnLapPemohon_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnLapPemohon.Click
        FrmLapImportir.Show(Me)
    End Sub

    Private Sub mnLapHasil_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnLapHasil.Click
        FrmLapHasil.Show(Me)
    End Sub

    Private Sub mnSettingDB_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnSettingDB.Click
        frmSettingDB.Show(Me)
    End Sub

    Private Sub mnBackupRestore_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnBackupRestore.Click
        FrmBakcupRestore.Show(Me)
    End Sub

    Private Sub btnKriteria_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnKriteria.Click
        frmKriteria.Show(Me)
    End Sub

    Private Sub btnSubKriteria_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubKriteria.Click
        frmSubKriteria.Show(Me)
    End Sub

    Private Sub btnImportir_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnImportir.Click
        frmImportir.Show(Me)
    End Sub

    Private Sub btnBerpasangan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBerpasangan.Click
        frmPerbandinganBerpasangan.Show(Me)
    End Sub

    Private Sub btnSubBerpasangan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubBerpasangan.Click
        frmSubPerbandinganBerpasangan.Show(Me)
    End Sub

    Private Sub btnPenilaian_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPenilaian.Click
        FrmPenilaian.Show(Me)
    End Sub

    Private Sub btnProsesAHP_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnProsesAHP.Click
        frmHasilAHP.Show(Me)
    End Sub

    Private Sub btnLapKriteria_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLapKriteria.Click
        FrmLapKriteria.Show(Me)
    End Sub

    Private Sub btnLapPenilaian_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLapPenilaian.Click
        FrmLapImportir.Show(Me)
    End Sub

    Private Sub btnLapHasil_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLapHasil.Click
        FrmLapHasil.Show(Me)
    End Sub

    
    Private Sub btnKeluar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnKeluar.Click


        If MessageBox.Show("Benar Ingin Keluar dari Sistem..?", "Konfirmasi", MessageBoxButtons.YesNo) _
            = Windows.Forms.DialogResult.Yes Then
            Conn.Close()
            End
        End If

    End Sub

    Private Sub AboutMeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub
End Class